%include	/usr/lib/rpm/macros.mono
Summary:	WebKit# - A Mono WebKit binding
Summary(pl.UTF-8):	WebKit# - wiązanie WebKit dla Mono
Name:		dotnet-webkit-sharp
Version:	0.3
Release:	5
License:	MIT
Group:		Libraries
Source0:	http://download.mono-project.com/sources/webkit-sharp/webkit-sharp-%{version}.tar.bz2
# Source0-md5:	21482f9d5eafb0ef4acc6e790482f934
Patch0:		%{name}-pc.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 1.9.3
BuildRequires:	gtk-webkit-devel >= 1.1.15
BuildRequires:	mono-csharp >= 1.1.0
BuildRequires:	monodoc >= 2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
Requires:	dotnet-gtk-sharp2 >= 1.9.3
Requires:	gtk-webkit >= 1.1.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser. It is made to be
embedded in other applications, such as mail readers, or web browsers.

This package provides Mono bindings for WebKit libraries.

%description -l pl.UTF-8
WebKit to silnik przeglądarki internetowej, wywodzący się z projektów
KHTML i KJS dla platformy KDE, używany głównie w przeglądarce Safari
firmy Apple. Stworzony został aby móc osadzać go w innych aplikacjach,
takich jak czytniki poczty czy przeglądarki stron internetowych.

Ten pakiet dostarcza wiązania Mono do bibliotek WebKit.

%package devel
Summary:	WebKit# development files
Summary(pl.UTF-8):	Pliki programistyczne WebKit#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2-devel >= 1.9.3
Requires:	monodoc >= 2.6

%description devel
WebKit# development files.

%description devel -l pl.UTF-8
Pliki programistyczne WebKit#.

%prep
%setup -q -n webkit-sharp-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/*.cs $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%{_prefix}/lib/mono/gac/webkit-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/webkit-sharp
%{_pkgconfigdir}/webkit-sharp-1.0.pc
%{_prefix}/lib/monodoc/sources/webkit-sharp-docs.*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jul 20 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dotnet-webkit-sharp.git;a=log;h=master

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> f0b82cb
- cleanup, completed dependencies, release 5

* Sun Jul 13 2014 Elan Ruusamäe <glen@delfi.ee> 966b3a1
- drop unused epoch

* Fri Oct 22 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 03533f2
- release 4

* Fri Mar 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ee834e7
- increased required version of monodoc

* Fri Mar 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 412e88c
- use %{_prefix}/lib for monodoc
- release 3

* Thu Mar 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8ffe057
- added -pc.patch
- release 2

* Thu Mar 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 4f636ca
- fix libdir in pkgconfig file

* Thu Jan 21 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 39aa323
- applied upstream

* Thu Jan 21 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ad89978
- updated to 0.3
- removed webkit-dllmap-fix.patch (applied upstream)

* Mon Aug 10 2009 vip <vip@pld-linux.org> 46de775
- update for latest gtk-webkit library .so name
- rel up, STBR

* Mon Aug 10 2009 vip <vip@pld-linux.org> f1cfc98
- new patch, fixes .so.1 => .so.2 library (e.g. Unhandled Exception: System.TypeInitializationException: An exception was thrown by the type initializer for WebKit.WebView ---> System.DllNotFoundException: webkit-1.0.so.1), from fedora

* Sat Oct 25 2008 vip <vip@pld-linux.org> c2d4d2b
- rel up, STBR

* Thu Oct 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fcdcdc1
- fixed build on x86_64

* Mon Oct 06 2008 wolf <wolf@pld-linux.org> e008b57
- 0.2

* Wed Jun 11 2008 vip <vip@pld-linux.org> c4366a6
- pl

* Wed Jun 11 2008 vip <vip@pld-linux.org> 4a3449c
- package samples

* Wed Jun 11 2008 vip <vip@pld-linux.org> 5b0923b
- new

